using System.Drawing;

namespace RSkor.Common.WinForms
{
    [StandardAction]
    public class BoldAction : FontStyleAction
    {
        public BoldAction()
        {
            InitializeComponent();
        }

        #region InitializeComponent
        private void InitializeComponent()
        {
            // 
            // BoldAction
            // 
            this.CheckOnClick = true;
            this.Image = global::RSkor.Common.WinForms.Properties.Resources.StyleBold;
            this.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.B)));
            this.Text = "&Bold";
            this.ToolTipText = "Bold";

        }
        #endregion

        protected override FontStyle ActionFontStyle
        {
            get
            {
                return FontStyle.Bold;
            }
        }
    }
}
