﻿using System.Windows.Forms;

namespace RSkor.Common.WinForms
{
    public class SplitContainer : System.Windows.Forms.SplitContainer
    {
        public SplitContainer()
        {
        }

        public new Panel Panel1
        {
            get { return base.Panel1; }
            set
            {
                base.Panel1.Controls.Clear();
                if (value != null)
                {
                    base.Panel1.Controls.Add(value);
                }
            }
        }

        public new Panel Panel2
        {
            get { return base.Panel2; }
            set
            {
                base.Panel2.Controls.Clear();
                if (value != null)
                {
                    base.Panel2.Controls.Add(value);
                }
            }
        }
    }
}
