﻿using System.Windows.Forms;
using System.Windows.Markup;

namespace RSkor.Common.WinForms
{
    [ContentProperty("Control")]
    public class TableCell
    {
        private int _column = -1;
        public int Column
        {
            get { return _column; }
            set
            {
                _column = value;
            }
        }

        private int _columnSpan = 1;
        public int ColumnSpan
        {
            get { return _columnSpan; }
            set { _columnSpan = value; }
        }

        private int _rowSpan = 1;
        public int RowSpan
        {
            get { return _rowSpan; }
            set { _rowSpan = value; }
        }

        public Control Control { get; set; }
    }
}
