using System.Drawing;

namespace RSkor.Common.WinForms
{
    [StandardAction]
    public class ItalicAction : FontStyleAction
    {
        public ItalicAction()
        {
            InitializeComponent();
        }

        private void InitializeComponent()
        {
            // 
            // ItalicAction
            // 
            this.CheckOnClick = true;
            this.Image = global::RSkor.Common.WinForms.Properties.Resources.StyleItalic;
            this.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.I)));
            this.Text = "&Italic";
            this.ToolTipText = "Italic";

        }

        protected override FontStyle ActionFontStyle
        {
            get
            {
                return FontStyle.Italic;
            }
        }
    }
}
