using System.Drawing;

namespace RSkor.Common.WinForms
{
    [StandardAction]
    public class UnderlineAction : FontStyleAction
    {
        public UnderlineAction()
        {
            InitializeComponent();
        }

        private void InitializeComponent()
        {
            // 
            // UnderlineAction
            // 
            this.CheckOnClick = true;
            this.Image = global::RSkor.Common.WinForms.Properties.Resources.StyleUnderline;
            this.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.U)));
            this.Text = "&Underline";
            this.ToolTipText = "Underline";

        }

        protected override FontStyle ActionFontStyle
        {
            get
            {
                return FontStyle.Underline;
            }
        }
    }
}
